package io.zipcoder.interfaces;

import java.lang.reflect.Array;
import java.util.ArrayList;

public class People {

    ArrayList<Person> personList = new ArrayList<Person>();

    public void add(Person person) {
        personList.add(person);
    }

    public Person findById(long id) {

        for (Person p : personList){
            if ( p.getId() == id){
                return p;
            }
        }
        return null;
    }

    public void remove(Person person){
        personList.remove(person);
    }

    public void remove(long id){
        personList.remove(findById(id));
    }

    public int getCount(ArrayList<Person> personList){
        return personList.size();
    }

    public Array[] getArray(){
        return (Array[]) personList.toArray();
    }

    public void removeAll(){
        personList.removeAll(personList);
    }

}
