package io.zipcoder.interfaces;

public class ZipCodeWilmington {

    private static final ZipCodeWilmington INSTANCE = new ZipCodeWilmington();


    private ZipCodeWilmington() {

    }

    private static final Students students = Students.getINSTANCE();
    private static final Instructors instructors = Instructors.getINSTANCE();
    private Learner[] cohort = new Learner[students.studentList.size()];

    public void hostLecture(Teacher teacher, double numberOfHours) {

        addLearners(students);

        instructors.lecture((Learner[]) students.studentList.toArray(), numberOfHours);

    }

    public void hostLecture(long id, double numberOfHours) {
        instructors.getINSTANCE().lecture(cohort, numberOfHours);

    }



    public void addLearners(Students students){
        for (int i = 0; i < students.studentList.size(); i++){
            cohort[i] = students.studentList.get(i);
        }

    }


    public static ZipCodeWilmington getINSTANCE() {
        return INSTANCE;
    }

    public Student getStudent(){
        return students.studentList.get(1);
    }


}
