package io.zipcoder.interfaces;


import org.junit.Test;
import org.junit.Assert;
import sun.jvm.hotspot.oops.Instance;

public class InstructorTest {

    @Test
    public void testImplementation() {
        Instructor instructor = new Instructor();

        boolean expected = true;
        boolean actual = (instructor instanceof Teacher);


        Assert.assertEquals(true, actual);
    }

    @Test
    public void testInheritance() {
        Instructor instructor = new Instructor();
        Person person = new Person();

        boolean expected = true;
        boolean actual = (instructor instanceof Person);


        Assert.assertEquals(true, actual);
    }

    @Test
    public void testTeach() {
        Instructor instructor = new Instructor();
        Student student = new Student();

        double numHours = 5;
        instructor.teach(student, numHours);

        double expected = 10;
        double actual = student.totalStudyTime;


        Assert.assertEquals(expected, actual, .001);
    }

    @Test
    public void testLecture() {
        Instructor instructor = new Instructor();
        Student student = new Student();
        Student student2 = new Student();
        Learner[] learners = { student, student2 };

        instructor.lecture(learners, 100);

        double expected = 50;
        double actual = student.totalStudyTime;


        Assert.assertEquals(expected, actual, .001);
    }


}
