package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;

import static org.junit.Assert.*;

public class PeopleTest {
    ArrayList<Person> persons = new ArrayList();
    Person person = new Person();
    People people = new People();


    @Test
    public void addTest() {
        persons.add(person);

        int expected = 1;

        Assert.assertEquals(expected, persons.size());
    }

    @Test
    public void findByIdTest() {
        people.add(person);

        Person expected = person;
        Person actual = people.findById(person.getId());

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void removeTestByPerson() {
        people.remove(person);

        int expected = 0;
        int actual = (int) people.getCount(persons);

        Assert.assertEquals(expected, actual);

    }

    @Test
    public void removeTest2() {
        people.add(person);
        people.remove(person.getId());

        int expected = 0;
        int actual = (int) people.getCount(persons);

        Assert.assertEquals(expected, actual);
    }
}