package io.zipcoder.interfaces;

import org.junit.Test;
import org.junit.Assert;
import sun.jvm.hotspot.oops.Instance;

public class StudentTest {
    Student student = new Student();



    @Test
    public void testImplementation(){

        student.learn(80);

        Assert.assertEquals(true, student instanceof Learner);
    }

    @Test
    public void testInheritance() {

        Person person = new Student();

        long expected = 5;
        long actual = student.getId();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testLearn(){
        double total = 5;
        student.learn(80);

        double expected = 85;
        double actual = student.totalStudyTime;

        Assert.assertEquals(expected, actual, .001);

    }






}
